com.hazelcast.config.matcher

## Class WildcardConfigPatternMatcher

- java.lang.Object
- - com.hazelcast.config.matcher.WildcardConfigPatternMatcher

- All Implemented Interfaces:
    ConfigPatternMatcher

      public class WildcardConfigPatternMatcher
      extends Object
      implements ConfigPatternMatcher

  This `ConfigPatternMatcher` supports a simplified wildcard matching. See "Config.md ## Using Wildcard" for details about the syntax options.

  Throws `ConfigurationException` is multiple configurations are found.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildcardConfigPatternMatcher()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `matches(Iterable<String> configPatterns, String itemName)` Returns the best match for an item name out of a list of configuration patterns.
    `boolean` | `matches(String pattern, String itemName)` This method is public to be accessible by `InstancePermission`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WildcardConfigPatternMatcher

          public WildcardConfigPatternMatcher()

  - ### Method Detail

    - #### matches

          public String matches(Iterable<String> configPatterns,
                                String itemName)
                         throws ConfigurationException

      Description copied from interface: `ConfigPatternMatcher`
      Returns the best match for an item name out of a list of configuration patterns.
      Specified by:
        `matches` in interface `ConfigPatternMatcher`
      Parameters:
        `configPatterns` - list of configuration patterns
        `itemName` - item name to match
      Returns:
        a key of configPatterns which matches the item name or `null` if nothing matches
      Throws:
        `ConfigurationException` - if ambiguous configurations are found

    - #### matches

          public boolean matches(String pattern,
                                 String itemName)

      This method is public to be accessible by `InstancePermission`.
      Parameters:
        `pattern` - configuration pattern to match with
        `itemName` - item name to match
      Returns:
        `true` if itemName matches, `false` otherwise

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.